#!/bin/sh
#
# Starts XBMC.
#

BIN=/usr/bin/br-xbmc
XBMC=/usr/lib/xbmc/xbmc.bin
XBMC_ARGS="--standalone -fs -n"
PIDFILE=/var/run/xbmc.pid

start() {
	echo -n "Starting XBMC: "
	start-stop-daemon -S -q -b -m -p $PIDFILE --exec $BIN -- $XBMC $XBMC_ARGS
	[ $? == 0 ] && echo "OK" || echo "FAIL"
}
stop() {
	echo -n "Stopping XBMC: "
	start-stop-daemon -K -q -p $PIDFILE
	[ $? == 0 ] && echo "OK" || echo "FAIL"
}
restart() {
	stop
	start
}

case "$1" in
	start)
		start
	;;
	stop)
		stop
	;;
	restart|reload)
		restart
	;;
	*)
		echo "Usage: $0 {start|stop|restart}"
	exit 1
esac
